Subject: [IPP] Apple has reviewed the IPP Finishings 2.0 specification and has comments

From: Michael Sweet <[email-masked]>
Date: Thu, 21 Aug 2014 09:11:06 -0400

Comments:

1. Section 2.2: Protocol roles should be moved into a separate 2.x subsection.
2. Section 2.2: Definitions of Client and Printer should be updated to point to RFC7230 (new HTTP/1.1 spec).
3. Section 3.1: Update the text to use the new rationale format.
4. Section 3.5: Numbering is wrong for list.
5. Section 3.5: Item 10 should register values, not operations (no new operations in this spec).
6. Section 4: Add a high-level overview of the main attributes - finishings, finishings-ready, finishings-supported, finishings-col, finishings-col-ready, finishings-col-database - to highlight the advantages of finishings-col to Clients and Printers including showing supported combinations/values, default locations/values (for preview), and so forth.
7. Figure 1: Accordion is spelled wrong
8. Section 4.10: Move before figure 1
9. Section 5.1: Several instances of "client" that should be "Client".
10. Section 5.1.1: Do we want to stick with "one or more staples" for edge-stitch-xxx? Seems like it should be at least two or more? This came from RFC 2911 and the original 5100.1 so not sure.
11. Section 5.1.2: Does booklet-maker also trim? This came from the original 5100.1.
12. Section 5.1.3: Update with correct year.
13. Section 5.1.3: Accordion spelled wrong.
14. Section 5.2: "no-value" instead of "noValue" (two places)
15. Section 5.2: Capitalize "Job Creation" on line 578.
16. Section 5.2: Should we add "media-size-name (1setOf type2 keyword | name(MAX))" and/or "media-size (1setOf collection)" member attributes for finishings-col-database and finishings-col-ready? That will show what media is supported for a given combination of template and member attributes.
17. Section 5.2: Should we add "imposition-template (type3 keyword | name(MAX))" member attributes for finishings-col-database and finishings-col-ready? That will show what imposition template is used by default for booklet finishing.
18. Section 5.2.x: Add forward references from member attributes to the corresponding -supported attributes.
19. Section 5.2.x: All IANA registration info should say "Addition KEYWORD values can be registered..." (add "keyword").
20. Section 5.2.x: All 'xxx-reference-edge' member attributes should be type1 keywords - I don't think we'll be adding edges to media.
21. Section 5.2.x: All 'xxx-sides' member attributes should be type1 keywords - 'front', 'back', and 'both' are it for 2D printing.
22. Section 5.2.6.1: Make folding-direction a type1 keyword.
23. Section 5.2.9.3: The long description of a reference edge should be in section 5.2. Make this one the abbreviated version like the others.
24. Figure 2: "2 copies of 4 sheets" should be "2 sets of 4 sheets".
25. Section 6.x: Update all xxx-reference-edge-supported, xxx-sides-supported, and folding-direction-supported to be type1 keywords.
26. Section 6: Add definition of finishings-col-ready and stitching-xxx-supported attributes.
27. Section 6.9: Add media-size-name/media-size and imposition-template (with a booklet finishing operation) to the example.
28. Section 6.16.2: Weird page break before the reference to Figure 3.
29. Section 6.16.2: Add reference to ABNF on PWG FTP server, which is authoritative over the spec.
30. Figure 3: finisher-ext definition should be: 1*[ALPHA / DIGIT / "-"] "=" 1*[ALPHA / DIGIT / "-" / "." / ","]
31. Section 6.17.1: Item 2 should end with "unless the natural language matches the default language used in the response."
32. Section 7.1: Broken reference on item 1.
33. Section 7.2: Broken reference on item 1.
34. Section 8: Needs to use the new boilerplate language.
35. Section 9: Needs to use the new boilerplate language, move second sentence as a separate paragraph.
36. Section 10.x: Update type1 keyword stuff, add stitching-xxx member attributes, finishings-col-ready, and stitching-xxx-supported Printer attributes, add media-size-name/media-size and imposition-template to finishings-col-database and finishings-col-ready, fix spelling of accordion.
37. Section 11.1: Add RFC 2910, RFC 7230, STD 68, ABNF URL, others that are needed for I18N boilerplate text.
38. Section 12: Add Ira McDonald (High North), Smith Kennedy (Hewlett Packard), and Rich Blanchard (Apple) as contributors.
39. Copyright in footer starting on page 2 does not match the cover page.

_________________________________________________________
Michael Sweet, Senior Printing System Engineer, PWG Chair

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp